Loading...
Searching...
No Matches
peripheral::DoorHandleControllerPackage::MechanicallyUnlockedEvent Struct Reference

Event: A handle was opened without being electronically unlocked. More...

`import "PeripheralDevicePackage.idl";`

Inheritance diagram for peripheral::DoorHandleControllerPackage::MechanicallyUnlockedEvent:

## Public Attributes

PackageInfo | packageInfo
| package info
int | channel
| channel number (zero-based)
string | doorStateName
| name of the door state sensor (if assigned)
string | doorHandleName
| name of the door handle sensor (if assigned)
string | doorLockName
| name of the door lock actuator (if assigned)
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A handle was opened without being electronically unlocked.

Definition at line 70 of file PeripheralDevicePackage.idl.

## Member Data Documentation

## channel

int peripheral::DoorHandleControllerPackage::MechanicallyUnlockedEvent::channel

channel number (zero-based)

Definition at line 72 of file PeripheralDevicePackage.idl.

## doorHandleName

string peripheral::DoorHandleControllerPackage::MechanicallyUnlockedEvent::doorHandleName

name of the door handle sensor (if assigned)

Definition at line 74 of file PeripheralDevicePackage.idl.

## doorLockName

string peripheral::DoorHandleControllerPackage::MechanicallyUnlockedEvent::doorLockName

name of the door lock actuator (if assigned)

Definition at line 75 of file PeripheralDevicePackage.idl.

## doorStateName

string peripheral::DoorHandleControllerPackage::MechanicallyUnlockedEvent::doorStateName

name of the door state sensor (if assigned)

Definition at line 73 of file PeripheralDevicePackage.idl.

## packageInfo

PackageInfo peripheral::DoorHandleControllerPackage::MechanicallyUnlockedEvent::packageInfo

package info

Definition at line 71 of file PeripheralDevicePackage.idl.

The documentation for this struct was generated from the following file:

- PeripheralDevicePackage.idl